@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;400;700&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto Condensed', sans-serif;
}

body {
    width: 100%;
    height: 100vh;
    background-color: #ff0000;
    display: flex;
    justify-content: center;
    align-items: center;
}

.card {
    position: relative;
    height: 580px;
    width: 360px;
    background-image: linear-gradient(90deg,#dfdfdf,#a4b0be);
    border-radius: 20px;
    box-shadow: 0 0 20px rgba(0,0,0,0.5);
    padding: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.register-card {
    position: relative;
    height: 800px;
    width: 800px;
    background-image: linear-gradient(90deg,#dfdfdf,#d3d3d3);
    border-radius: 20px;
    box-shadow: 0 0 20px rgba(0,0,0,0.5);
    padding: 40px;
    display: flex;
    flex-direction: column;
}

.sign-in {
    position: absolute;
    top: -40px;
    left: 55px;
    height: 80px;
    width: 250px;
    background: #e7d000;
    color: rgb(196, 0, 0);
    font-size: 2rem;
    text-transform: uppercase;
    font-weight: 700;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
}



#logo {
    font-size: 7rem;
    color: #57606f;
    margin-bottom: 40px;
    transition: .5s;
}

.login-form {
    position: relative;
    height: 50px;
    width: 100%;
    background: #fff;
    margin-bottom: 20px;
    border-radius: 10px;
    display: flex;
    align-items: center;
}
.login-form span::before {
    content: attr(data-placeholder);
    position:absolute;
    top: 30%;
    left: 30%;
    color: #747d8c;
    transition: .5s;
    opacity: 1;
}

.register-form {
    position: relative;
    height: 50px;
    width: 100%;
    background: #fff;
    margin-bottom: 20px;
    border-radius: 10px;
    display: flex;
    align-items: center;
}
.register-form span::before {
    content: attr(data-placeholder);
    position:absolute;
    top: 30%;
    left: 30%;
    color: #747d8c;
    transition: .5s;
    opacity: 1;
}

#logo-input {
    margin: 0 20px;
    padding-right: 20px;
    font-size: 1.5rem;
    border-right: 2px solid #747d8c;
    color: #747d8c;
}

.input {
    height: 35px;
    width: 100%;
    border: none;
    font-weight: bold;
    font-size: 1.2rem;
    outline: none;
    background: transparent;
    z-index: 1;
    color: #c00000;
}

a {
    text-decoration: none;
    color: #c00000;
    cursor: pointer;
}
a:hover {
    color: white;
}

.btn-submit {
    margin: 20px 0;
    padding: 15px 0;
    width: 100%;
    border: none;
    border-radius: 10px;
    background-image: linear-gradient(120deg,#a50000, #e60000d5,#a50000);
    background-size: 200%;
    font-weight: bold;
    font-size: 2rem;
    color: #fff;
    transition: .5s;
    cursor: pointer; 
}
.btn-submit:hover {
    background-position: right; 
}

.focus + span::before {
    opacity: 0;
}

.change-color {
    color: #c00000 !important;
}
